aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 07:52:52 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 07:55:48 +0000
commitbe96b6bf8a3c73b9972a3a5bedf15b303ac05d93 (patch)
tree8ba945b5d77a348821f7599de76d4a802368bef3 /community
parent3f23a4137b928c5ea363afd39af52af49eacb5ce (diff)
downloadaports-be96b6bf8a3c73b9972a3a5bedf15b303ac05d93.tar.gz
aports-be96b6bf8a3c73b9972a3a5bedf15b303ac05d93.tar.bz2
aports-be96b6bf8a3c73b9972a3a5bedf15b303ac05d93.tar.xz
community/cachefilesd: moved from testing, upgrade to 0.10.9
Diffstat (limited to 'community')
-rw-r--r--community/cachefilesd/APKBUILD38
-rw-r--r--community/cachefilesd/cachefilesd.initd53
2 files changed, 91 insertions, 0 deletions
diff --git a/community/cachefilesd/APKBUILD b/community/cachefilesd/APKBUILD
new file mode 100644
index 0000000000..3dd568198a
--- /dev/null
+++ b/community/cachefilesd/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=cachefilesd
+pkgver=0.10.9
+pkgrel=0
+pkgdesc="Userspace daemon acting as a backend for FS-Cache"
+url="http://people.redhat.com/~dhowells/fscache/"
+arch="all"
+license="GPL"
+depends="attr"
+makedepends="rpm file"
+install=""
+subpackages="$pkgname-doc"
+source="http://people.redhat.com/~dhowells/cachefs/$pkgname-$pkgver.tar
+ $pkgname.initd"
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ sed -i "s#/sbin/#/usr/bin/#g" cachefilesd.c
+ sed -i "s#/sbin/#/usr/bin/#g" cachefilesd.service
+ make CFLAGS="$CFLAGS"
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" SBINDIR=/usr/bin install
+ mkdir -p "$pkgdir"/var/cache/fscache
+ install -D -m 755 "$srcdir/$pkgname.initd" "$pkgdir/etc/init.d/$pkgname"
+}
+
+md5sums="156a215c8f82dd65f6745a38474bdb02 cachefilesd-0.10.9.tar
+169c25fecb2c64e531e00daa90fb24ba cachefilesd.initd"
+sha256sums="c897ec6704615f26de3ddc20ff30a191ce995cb8973d2cde88b4b28c1a1e6bca cachefilesd-0.10.9.tar
+cb4e68f31cd97c07850634fefa23f4169dc937c6a8864f507e90ac183b640213 cachefilesd.initd"
+sha512sums="06ab444a7df8ec37c15bc03554510f4acbb453e0730277f036abc5d61f9e377d90d9387dd5237ea481b95b1bf097b5992adce90ce971fe29760cc4c0d3c9cf34 cachefilesd-0.10.9.tar
+854b66470ace24caf24e979de3c1c12a426972bc745823b3a0f47ac80811ac5da4fa6a249e65386acdec2e7561178bb1d2c4b301a2178458f10496bb8eac5b2f cachefilesd.initd"
diff --git a/community/cachefilesd/cachefilesd.initd b/community/cachefilesd/cachefilesd.initd
new file mode 100644
index 0000000000..589faa7d57
--- /dev/null
+++ b/community/cachefilesd/cachefilesd.initd
@@ -0,0 +1,53 @@
+#!/sbin/openrc-run
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/cachefilesd/files/cachefilesd.init,v 1.2 2010/09/20 08:45:22 jlec Exp $
+
+depend() {
+ need localmount
+ use logger
+ before nfsmount
+}
+
+checkxattr() {
+ local testpath testfile ret
+ testpath=$(awk '/^[[:space:]]*dir/ {print $2}' /etc/cachefilesd.conf)
+ testfile="${testpath}/.tmp-xattr-test.cachefilesd"
+ touch "${testfile}"
+ # creates a file in the testpath and tries to set an attribute on it to check
+ # if the support is available
+ attr -s test -V xattr "${testfile}" 2>&1 > /dev/null
+ ret=$?
+ rm -f "${testfile}"
+ [ ${ret} -ne 0 ] && eerror "xattr support missing on the ${testpath} filesystem"
+ return ${ret}
+}
+
+start() {
+ ebegin "Starting cachefilesd"
+ checkxattr || return $?
+ # check if the cachefiles modules is loaded (or builtin)
+ if [ ! -c /dev/cachefiles ] ; then
+ local ret
+ einfo "/dev/cachefiles doesn't exist, trying to modprobe cachefiles"
+ modprobe cachefiles
+ ret=$?
+ if [ $ret -ne 0 ] ; then
+ eerror "cachefiles modules cannot be loaded so cachefilesd "
+ eerror "cannot be started, aborting. Did you build fscache in your "
+ eerror "kernel? Note that you need a 2.6.30 or better kernel"
+ return $ret
+ fi
+ fi
+ start-stop-daemon --start --pidfile /var/run/cachefilesd.pid --exec /usr/bin/cachefilesd -- ${OPTIONS}
+ eend $? "Failed to start cachefilesd. Check the system log to see the error"
+
+}
+
+stop() {
+ ebegin "Stopping cachefilesd"
+ start-stop-daemon --stop --exec /usr/bin/cachefilesd --pidfile /var/run/cachefilesd.pid
+ eend $? "Failed to stop cachefilesd"
+}
+
+